/*
 * QDigiDoc4
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */


#pragma once

#include <QDialog>

#include <common/SslCertificate.h>


namespace Ui {
class CertificateDetails;
}

class QSslCertificate;
class CertificateDetailsPrivate;

class CertificateDetails : public QDialog
{
	Q_OBJECT

public:
	explicit CertificateDetails(const QSslCertificate &c, QWidget *parent = 0, bool showSheet = false);
	~CertificateDetails();

	void saveCert();
	static QString decodeCN(const QString &cn);
	int exec() override;

public slots:
	void on_tblDetails_itemSelectionChanged();

private:
	CertificateDetailsPrivate *ui;
	SslCertificate cert;
};
